Subject: Make Cinnamon selectable
From: Mirco Schmidt <[email-masked]>
To: [email-masked]
Date: Mon, 04 Feb 2013 13:36:24 +0100

Package: x2goserver
Severity: wishlist

Hi hi,

I tried to start cinnamon with this command: /usr/bin/gnome-session --session cinnamon2d but it fail's! If I set it to: /etc/X11/Xsession it should start the last session which is cinnamon but come's up with a XFCE session...
[12:18pm] 
[12:33pm]sunweaver:mirco, the command launched by X2Go does not accept cmdline parms. Write a shell wrapper on the server and execute that. Note: your wrapper must be in $PATH
[12:33pm]mirco:THX

made a wrapper like this and placed it in /usr/local/bin:

#!/bin/bash
/usr/bin/gnome-session --session cinnamon2d

[12:37pm]mirco:sadly I end up with a blank screen, beatified by the default debian Desktop background… Which is also my personal one!

Thank's in advance
Mirco